| darcs-2.4.3: a distributed, interactive, smart revision control system | Source code | Contents | Index
Darcs.Population
Synopsis
data Population
patchChanges :: Prim -> [(String, DirMark)]
applyToPop :: PatchInfo -> FL Prim -> Population -> Population
getPopFrom :: FilePath -> PatchInfo -> IO Population
setPopState :: PatchInfo -> Population -> Population
data DirMark
= AddedFile
| RemovedFile
| MovedFile String
| ModifiedFile
| DullFile
| AddedDir
| RemovedDir
| MovedDir !String
| DullDir
getRepoPop :: FilePath -> IO Population
getRepoPopVersion :: FilePath -> PatchInfo -> IO Population
modified_to_xml :: Info -> Doc
lookup_pop :: FilePath -> Population -> Maybe Population
lookup_creation_pop :: PatchInfo -> FilePath -> Population -> Maybe Population
Documentation
data Population | Source
the population of a darcs repository (simpler Slurpy)
Instances
Eq Population
Show Population
patchChanges :: Prim -> [(String, DirMark)] | Source
applyToPop :: PatchInfo -> FL Prim -> Population -> Population | Source
getPopFrom :: FilePath -> PatchInfo -> IO Population | Source
read the population from a given directory `dirname` all folders and documents get the given time `t` This needs to be here in order to avoid a circular dependency between Population and Pristine.
setPopState :: PatchInfo -> Population -> Population | Source
data DirMark | Source
info of a directory member
Constructors
AddedFile |
RemovedFile |
MovedFile String |
ModifiedFile |
DullFile |
AddedDir |
RemovedDir |
MovedDir !String |
DullDir |
Instances
Eq DirMark
Ord DirMark
Show DirMark
getRepoPop :: FilePath -> IO Population | Source
get the pristine population from a repo
getRepoPopVersion :: FilePath -> PatchInfo -> IO Population | Source
modified_to_xml :: Info -> Doc | Source
lookup_pop :: FilePath -> Population -> Maybe Population | Source
lookup_creation_pop :: PatchInfo -> FilePath -> Population -> Maybe Population | Source
Produced by Haddock version 2.4.2